> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs-beta-7agmae.voicedub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new voice

> Create a new voice for training. Returns presigned URLs for uploading training audio files.



## OpenAPI

````yaml post /v1/me/voices
openapi: 3.1.0
info:
  title: VoiceDub API
  description: API for creating AI voice dubs and training custom voice models
  version: 1.0.0
  contact:
    name: VoiceDub Support
    email: help@voicedub.ai
    url: https://voicedub.ai
servers:
  - url: https://api.voicedub.ai
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Dubs
    description: Operations for creating and managing voice dubs
  - name: Voices
    description: Operations for creating and managing voice models
  - name: User
    description: Operations for managing user account and settings
paths:
  /v1/me/voices:
    post:
      tags:
        - Voices
      summary: Create new voice
      description: >-
        Create a new voice for training. Returns presigned URLs for uploading
        training audio files.
      operationId: createVoice
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVoiceRequest'
      responses:
        '200':
          description: Voice created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateVoiceResponse'
components:
  schemas:
    CreateVoiceRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 50
          description: Display name for the voice (1-50 characters)
          example: My Custom Voice
        numberOfFiles:
          type: integer
          minimum: 1
          maximum: 5
          description: Number of audio files to upload for training (1-5)
          example: 3
        maxMinutes:
          type: integer
          minimum: 5
          maximum: 60
          default: 10
          description: Maximum duration of training audio in minutes (5-60)
          example: 10
        separate:
          type: boolean
          default: true
          description: Whether to use vocal separation during training
          example: true
      required:
        - name
        - numberOfFiles
    CreateVoiceResponse:
      type: object
      properties:
        voice:
          type: object
          properties:
            id:
              type: string
              format: uuid
              description: Unique identifier for the voice
              example: 123e4567-e89b-12d3-a456-426614174000
            name:
              type: string
              description: Display name of the voice
              example: My Custom Voice
            status:
              type: string
              enum:
                - new
                - queued
                - starting
                - processing
                - finalizing
                - done
                - error
              description: Current training/processing status of the voice
              example: new
              openapi:
                description: Current training/processing status of the voice
                example: done
            separate:
              type: boolean
              description: Whether vocals separation was used during training
              example: true
            maxMinutes:
              type: integer
              description: Maximum duration of training audio in minutes
              example: 10
            errorCode:
              type:
                - string
                - 'null'
              description: Error code if training failed (null for now)
              example: null
            errorMessage:
              type:
                - string
                - 'null'
              description: Error message if training failed (null for now)
              example: null
            apiCreditsUsed:
              type: integer
              description: >-
                API credits consumed for training this voice (0 before /clone is
                called)
              example: 0
              openapi:
                description: >-
                  API credits consumed for training this voice (0 before /clone
                  is called)
                example: 100
            apiCreditsLeft:
              type:
                - integer
                - 'null'
              description: >-
                Remaining API credits after training (null before /clone is
                called)
              example: null
              openapi:
                description: >-
                  Remaining API credits after training (null before /clone is
                  called)
                example: 450
            completedAt:
              type:
                - string
                - 'null'
              description: >-
                Timestamp when voice training completed (null if status is not
                "done" or "error")
              example: null
              openapi:
                description: >-
                  Timestamp when voice training completed (null if status is not
                  "done" or "error")
                example: '2024-01-15T10:30:00.000Z'
            createdAt:
              type: string
              description: Timestamp when voice was created
              example: '2024-01-15T10:00:00.000Z'
            updatedAt:
              type: string
              description: Timestamp when voice was last updated
              example: '2024-01-15T10:30:00.000Z'
            requiredCredits:
              type: number
              description: Number of credits required to process this voice
              example: 100
          required:
            - id
            - name
            - status
            - separate
            - maxMinutes
            - errorCode
            - errorMessage
            - apiCreditsUsed
            - apiCreditsLeft
            - completedAt
            - createdAt
            - updatedAt
            - requiredCredits
        uploadUrls:
          type: array
          items:
            type: string
            format: uri
          description: Presigned URLs for uploading training audio files
          example:
            - >-
              https://s3.amazonaws.com/bucket/models/123e4567-e89b-12d3-a456-426614174000/vocals/123e4567-e89b-12d3-a456-426614174000_0?X-Amz-Signature=...
            - >-
              https://s3.amazonaws.com/bucket/models/123e4567-e89b-12d3-a456-426614174000/vocals/123e4567-e89b-12d3-a456-426614174000_1?X-Amz-Signature=...
      required:
        - voice
        - uploadUrls
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API key in the format: "Api-Key <your-api-key>"'

````